#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cryptsetup
Version		:	2.4.3
Release		:	16.2.0.rel%{?dist}
Summary		:	A utility for setting up encrypted disks
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gitlab.com/cryptsetup/cryptsetup

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	openssl-devel
BuildRequires	:	libgcrypt
BuildRequires	:	libssh-devel
BuildRequires	:	LVM2
BuildRequires	:	json-c-devel
BuildRequires	:	popt
#-----------------------------------------------------------------------------
%description
The '%{name}' package contains a utility for setting up
disk encryption using dm-crypt kernel module.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_sbindir}/%{name}
%{_sbindir}/%{name}-reencrypt
%{_sbindir}/%{name}-ssh
%{_sbindir}/integritysetup
%{_sbindir}/veritysetup
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}/lib%{name}-token-ssh.so
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The cryptsetup-devel package contains libraries and
header files used for writing code that makes use of
disk encryption.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/lib%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--with-crypto_backend=openssl			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
